## nstats-0.4.tar.gz

=== Makefile ===

ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif

NSTATS_SRC := nstats pcap packet conn util
NSTATS_OBJ := $(NSTATS_SRC:%=src/%.o)

NMON_SRC := nmon pcap packet util curs_util stats

ifeq ($(IPT_ENABLED),1)
    NMON_SRC := ipt
endif

NMON_OBJ := $(NMON_SRC:%=src/%.o)

BMON_SRC := bmon intf curs_util util
BMON_OBJ := $(BMON_SRC:%=src/%.o)

CMON_SRC := cmon aconn curs_util util pcap packet
CMON_OBJ := $(CMON_SRC:%=src/%.o)

export

all: Makefile.opts nstats nmon bmon cmon

Makefile.opts:
	@echo "**** No configuration found, please run ./configure"
	@exit 1

nstats: Makefile.opts Makefile $(NSTATS_OBJ)
	$(CC) $(CFLAGS) -o $@ $(NSTATS_OBJ) $(LDFLAGS) $(NSTATS_LIB)

nmon: Makefile.opts Makefile $(NMON_OBJ)
	$(CC) $(CFLAGS) -o $@ $(NMON_OBJ) $(LDFLAGS) $(NMON_LIB)

bmon: Makefile.opts Makefile $(BMON_OBJ)
	$(CC) $(CFLAGS) -o $@ $(BMON_OBJ) $(LDFLAGS) $(BMON_LIB)

cmon: Makefile.opts Makefile $(CMON_OBJ)
	$(CC) $(CFLAGS) -o $@ $(CMON_OBJ) $(LDFLAGS) $(CMON_LIB)

clean:
	rm -f nstats nmon cmon bmon src/*.o

distclean: clean
	rm -f Makefile.opts
	rm -f config.h
	rm -Rf .dep
	rm -f config*status config*cache config*log

install: nstats nmon
	mkdir -p $(DESTDIR)$(prefix)/bin/
	mkdir -p $(DESTDIR)$(mandir)/man8/
	install nstats $(DESTDIR)$(prefix)/bin/
	install bmon $(DESTDIR)$(prefix)/bin/
	install cmon $(DESTDIR)$(prefix)/bin/
	install nmon $(DESTDIR)$(prefix)/bin/
	install man/nstats.8 $(DESTDIR)$(mandir)/man8/

=== debian/changelog ===
nstats (0.4.0-1) unstable; urgency=low
  * bmon, curses based bandwidth monitor
  * nmon, curses frontend for nstats
  * cmon, curses based connection monitor
  * fixes

 -- Thomas Graf (reeler) <tgr@reeler.org>  Thu,  2 May 2002 17:32:06 +0200

nstats (0.3.4-1) unstable; urgency=low
  * connection tracking code (see most used connections)
  * name and service resolution (-n disables name resolution)
  * -t flag to limit runtime of nstats
  * -l flag to set length of lists
  * IP6, ICMP6 and ECN statistics
  * optimizations
  * ignore further fragmented packets in layer 4+ for now

 -- Thomas Graf (reeler) <tgr@reeler.org>  Sun, 17 Mar 2002 23:22:30 +0100
  

nstats (0.3.3-1) unstable; urgency=low

  * real ip6 support
  * icmp type/code breakdown
  * added "none" output mode
  * some ip6 statistics

 -- Thomas Graf (reeler) <tgr@reeler.org>  Sun, 10 Mar 2002 22:42:28 +0100

nstats (0.3.2-1) unstable; urgency=low

  * fixed average packet size calucaltion
  * added breakdown statistics for ICMP
  * enhanced TCP Options statistics

 -- Thomas Graf (reeler) <tgr@reeler.org>  Sun,  3 Mar 2002 19:23:00 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: nstats
Section: net
Priority: optional
Maintainer: Thomas Graf <tgraf@europe.com>
Build-Depends: libpcap-dev
Standards-Version: 0.3.2

Package: nstats
Architecture: any
Section: net
Depends: libpcap0
Recommends: tcpdump
Description: network statistics
 nstats prints statistics about ethernet network traffic. This includes protocol breakdown
 on several layers, counting packets and bytes per protocol, average packet size per protocol,
 TOS statistics, and TCP options usage.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

cfg=--prefix=/usr --mandir=${prefix}/usr/share/man
pwd:=$(shell pwd)
INSTALL=/usr/bin/install

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	./configure
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	
	$(MAKE) install DESTDIR=$(pwd)/debian/nstats/usr/
	rm -fvr debian/feh/usr/doc

binary-indep: DH_OPTIONS=-i

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	#dh_testversion 2 2
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	#dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
